*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins" , Sans-serif;
}

body{
    min-height: 100vh;
    background: #000;
    color: #fff;
}

a{
    text-decoration: none;
    color: #fff;
}
/*** ******************
    Navigation bar 
******************* ***/

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: rgba(255,255,255,.1);
    backdrop-filter: blur(50px);
    z-index: 5;
}

.logo{   
    height: 100%;
}

.logo img{
    height: 100%;
}
.navbar a{
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin: 30px;
    transition: 2.5 ease;
}

#check{
    display: none;
}

.icons{
    position: absolute;
    right: 5%;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
    display: none;
}
/*** ******************
    Main Body code
******************* ***/
.container{
    margin-top: 80px;
    width: 100%;
    min-height: 100vh;
}


/*** ******************
        FOOTER
******************* ***/
footer{
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer p{
    font-size: 16px
}

@media (max-width:768px){

    /*** ******************
        Navigation bar 
    ******************* ***/
        .logo{
            position: fixed;
            left: 0;
            top: 0;
        }
        .icons{
            display: inline-flex;
        }
        #check:checked~.icons #menu-icon{
            display: none;
        }
        
        .icons #close-icon{
            display: none;
        }
        
        #check:checked~.icons #close-icon{
            display: block;
        }
        .navbar{
            position: absolute;
            top: 100%;
            left: 0;
            width: 100%;
            height: 0;
            background-color: rgba(0,0,0,0.8);
            backdrop-filter: blur(50px);
            transition: 0.3s ease;
            overflow: hidden;
        }
        
        #check:checked~.navbar{
            height: 200px;
        }
    
        .navbar a{
            display: block;
            font-size: 1.2rem;
            margin: 1.5rem 0;
            text-align: center;
            transform: translateY(-50px);
            opacity: 0;
        }
        
        #check:checked~.navbar a{
            opacity: 1;
            transform: translateY(0);
            transition-delay: calc(.15s*var(--i));
        }
    }
    